﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EnvelopeCreatorProject.Models.Builders
{
    internal class EnvelopeDocumentBuilder : IEnvelopeBuilder
    {
        private readonly List<DocusignDocument> _documents;

        public EnvelopeDocumentBuilder(List<DocusignDocument> documents)
        {
            _documents = documents;
        }

        public void BuildTo(StringBuilder strBuilder){
            strBuilder.AppendLine("\"documents\":[");
            strBuilder.AppendLine(String.Join(",", _documents.Select(getTabMetaData)));
            strBuilder.AppendLine("],");
        }

        private string getTabMetaData(DocusignDocument doc)
        {
            return "{" +
            "\"name\":\"" + doc.FileName + "\"," +
            "\"documentId\":\"" + doc.ID.ToString() + "\"," +
            "\"order\":\"" + doc.Order.ToString() + "\"" +
            "}";
        }
    }
}
